<?php

require 'user-login.php';
                                        
                                            
                                        

$user = new user($_COOKIE['email'], $link);

$email = $_SESSION['email'];

$name = $_GET['name'];
$price= $_GET['price'];
$date = date("d-y-m");

$target_dir = "nft-payments/";
$target_file = $target_dir . basename($_FILES["fileToUpload"]["name"]);
$uploadOk = 1;
$imageFileType = strtolower(pathinfo($target_file,PATHINFO_EXTENSION));

// Check if image file is a actual image or fake image
if(isset($_POST["submit"])) {
  $check = getimagesize($_FILES["fileToUpload"]["tmp_name"]);
  if($check !== false) {
    $uploadOk = 1;
  } else {
    
    $uploadOk = 0;
  }
}

// Check if file already exists
if (file_exists($target_file)) {
  $uploadOk = 0;
}

// Check file size
if ($_FILES["fileToUpload"]["size"] > 500000) {
  $uploadOk = 0;
}

// Allow certain file formats
if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg"
&& $imageFileType != "gif" ) {
  $uploadOk = 0;
}

// Check if $uploadOk is set to 0 by an error
if ($uploadOk == 0) {
// if everything is ok, try to upload file
} else {
  if (move_uploaded_file($_FILES["fileToUpload"]["tmp_name"], $target_file)) {
  } else {
  }
}

$proof_img = "https://bitclubtradingnet.com/dashboard/$target_file";

$query = mysqli_query($link, "INSERT INTO nft (email, nft_name, amount, proof, status, date) VALUES ('".$user->getEmail()."', '$name', '$price', '$proof_img', 'Pending', '$date') ");
header("Location: nft-transactions.php");

?>